1. pamaf2003's Avatar
    Before upgrading to OS 5.0.0.592, I'd like to be sure that ATT Navigator/Telenav is compatible with the new OS. Anybody has an experience?
    Thanks in advance to you all.
    P.
    05-20-10 05:29 PM
LINK TO POST COPIED TO CLIPBOARD